App::ClusterSSH::Getopt(3)

SYNOPSIS

DESCRIPTION
Object representing application configuration

METHODS

$obj=ClusterSSH::Getopts->new ({ })
    Create a new object.

$obj=ClusterSSH::Getopts->add_option ({ })
    Add extra options into the allowed set for parsing from the command line

$obj=ClusterSSH::Getopts->add_common_options ({ })
    Add common options used by most calling scripts into the allowed set for parsing from the command line

$obj=ClusterSSH::Getopts->add_common_session_options ({ })
    Add common session options used by most calling scripts into the allowed set for parsing from the command line

$obj=ClusterSSH::Getopts->add_common_ssh_options ({ })
    Add common ssh options used by most calling scripts into the allowed set for parsing from the command line

$obj->getopts
    Function to call after all options have been set up; creates methods to call for each option on the object, such as $obj->action, or $obj->username

output(@)
    Simple helper func to print out pod lines with double returns

help
usage
    Functions to output help and usage instructions